Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Attach Startup Scripts to Instance / VM

Attaches one or more startup scripts to a specific Instance or Virtual Machine. Scripts run on every boot in alphabetical order by name.

PUT/notebooks/{Instance_id}/init-script/

Path parameters

  • Instance_idPathintegerrequired

    Instance ID

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
namestring

The name of the start script

init_scriptstring

The start script content

Responses

200Start script updated successfully
object
codeinteger
example200
messagestring
exampleSuccess
dataobject
errorsobject